Package org.firebirdsql.logging

## Class LoggerFactory

- java.lang.Object
- - org.firebirdsql.logging.LoggerFactory

    @InternalApi
    public final class LoggerFactory
    extends java.lang.Object

Factory for Logger instances.

Author:
  Blas Rodriguez Somoza, Mark Rotteveel

### Field Summary

Fields
`static java.lang.String` `DISABLE_LOGGING_PROP`
`static java.lang.String` `FORCE_CONSOLE_LOGGER_PROP`
`static java.lang.String` `LOGGER_IMPLEMENTATION_PROP`

### Method Summary

All Methods Static Methods Concrete Methods
`static Logger` `getLogger​(java.lang.Class<?> clazz)`
`static Logger` `getLogger​(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FORCE_CONSOLE_LOGGER_PROP

    public static final java.lang.String FORCE_CONSOLE_LOGGER_PROP

See Also:
  Constant Field Values

#### DISABLE_LOGGING_PROP

    public static final java.lang.String DISABLE_LOGGING_PROP

See Also:
  Constant Field Values

#### LOGGER_IMPLEMENTATION_PROP

    public static final java.lang.String LOGGER_IMPLEMENTATION_PROP

See Also:
  Constant Field Values

### Method Detail

#### getLogger

    public static Logger getLogger​(java.lang.String name)

#### getLogger

    public static Logger getLogger​(java.lang.Class<?> clazz)